<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://revenueManagementBrowse.caption"
        focusComponent="revenueManagementsTable">
    <data readOnly="true">
        <collection id="revenueManagementsDc"
                    class="com.company.management.entity.RevenueManagement">
            <fetchPlan extends="_base">
                <property name="product" fetchPlan="_base">
                    <property name="productGroup" fetchPlan="_base"/>
                </property>
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
                <property name="uom" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="revenueManagementsDl">
                <query>
                    <![CDATA[select e from RevenueManagement e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="revenueManagementsTable" spacing="true">
        <filter id="filter"
                dataLoader="revenueManagementsDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="revenueManagementsTable"
                    width="100%"
                    dataContainer="revenueManagementsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="product"/>
                <column id="type"/>
                <column id="charge"/>
                <column id="uom"/>
                <column id="active"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="revenueManagementsTable.create"/>
                <button id="editBtn" action="revenueManagementsTable.edit"/>
                <button id="removeBtn" action="revenueManagementsTable.remove"/>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
